#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global	    package_name olvm-branding
%global	    package_version 4.3.0
%global     tarball %{package_name}-%{package_version}.tar.gz
%global     prefix /usr/local

%global     share_branding_build_dir %{buildroot}/%{_datadir}/olvm-branding
%global     admin_etc_branding_build_dir %{buildroot}/%{_sysconfdir}/ovirt-engine/branding
%global     web_ui_etc_branding_build_dir %{buildroot}/%{_sysconfdir}/ovirt-web-ui/branding
%global     admin_etc_branding_build_link %{buildroot}/%{_sysconfdir}/ovirt-engine/branding/01-oracle.brand
%global     web_ui_etc_branding_build_link %{buildroot}/%{_sysconfdir}/ovirt-web-ui/branding/01-oracle.brand
%global     share_branding_pkg_dir %{_datadir}/olvm-branding
%global     admin_etc_branding_pkg_link %{_sysconfdir}/ovirt-engine/branding/01-oracle.brand
%global     web_ui_etc_branding_pkg_link %{_sysconfdir}/ovirt-web-ui/branding/01-oracle.brand
%global     osinfo_etc_build_dir %{buildroot}/%{_sysconfdir}/ovirt-engine/osinfo.conf.d
%global     osinfo_etc_build_link %{buildroot}/%{_sysconfdir}/ovirt-engine/osinfo.conf.d/01-oracle.properties
%global     osinfo_etc_pkg_link %{_sysconfdir}/ovirt-engine/osinfo.conf.d/01-oracle.properties
#guest icon directories
%global     icons_large_build_dir %{buildroot}/%{_datadir}/ovirt-engine/icons/large
%global     icons_small_build_dir %{buildroot}/%{_datadir}/ovirt-engine/icons/small
#small icons
%global     icon_small_build_link_ol5 %{buildroot}/%{_datadir}/ovirt-engine/icons/small/ol_5.png
%global     icon_small_pkg_link_ol5 %{_datadir}/ovirt-engine/icons/small/ol_5.png
%global     icon_small_build_link_ol5x64 %{buildroot}/%{_datadir}/ovirt-engine/icons/small/ol_5x64.png
%global     icon_small_pkg_link_ol5x64 %{_datadir}/ovirt-engine/icons/small/ol_5x64.png
%global     icon_small_build_link_ol6 %{buildroot}/%{_datadir}/ovirt-engine/icons/small/ol_6.png
%global     icon_small_pkg_link_ol6 %{_datadir}/ovirt-engine/icons/small/ol_6.png
%global     icon_small_build_link_ol6x64 %{buildroot}/%{_datadir}/ovirt-engine/icons/small/ol_6x64.png
%global     icon_small_pkg_link_ol6x64 %{_datadir}/ovirt-engine/icons/small/ol_6x64.png
%global     icon_small_build_link_ol7x64 %{buildroot}/%{_datadir}/ovirt-engine/icons/small/ol_7x64.png
%global     icon_small_pkg_link_ol7x64 %{_datadir}/ovirt-engine/icons/small/ol_7x64.png
%global     icon_small_build_link_ol8x64 %{buildroot}/%{_datadir}/ovirt-engine/icons/small/ol_8x64.png
%global     icon_small_pkg_link_ol8x64 %{_datadir}/ovirt-engine/icons/small/ol_8x64.png
%global     icon_small_build_link_solaris_11 %{buildroot}/%{_datadir}/ovirt-engine/icons/small/solaris_11.png
%global     icon_small_pkg_link_solaris_11 %{_datadir}/ovirt-engine/icons/small/solaris_11.png
#large icons
%global     icon_large_build_link_ol5 %{buildroot}/%{_datadir}/ovirt-engine/icons/large/ol_5.png
%global     icon_large_pkg_link_ol5 %{_datadir}/ovirt-engine/icons/large/ol_5.png
%global     icon_large_build_link_ol5x64 %{buildroot}/%{_datadir}/ovirt-engine/icons/large/ol_5x64.png
%global     icon_large_pkg_link_ol5x64 %{_datadir}/ovirt-engine/icons/large/ol_5x64.png
%global     icon_large_build_link_ol6 %{buildroot}/%{_datadir}/ovirt-engine/icons/large/ol_6.png
%global     icon_large_pkg_link_ol6 %{_datadir}/ovirt-engine/icons/large/ol_6.png
%global     icon_large_build_link_ol6x64 %{buildroot}/%{_datadir}/ovirt-engine/icons/large/ol_6x64.png
%global     icon_large_pkg_link_ol6x64 %{_datadir}/ovirt-engine/icons/large/ol_6x64.png
%global     icon_large_build_link_ol7x64 %{buildroot}/%{_datadir}/ovirt-engine/icons/large/ol_7x64.png
%global     icon_large_pkg_link_ol7x64 %{_datadir}/ovirt-engine/icons/large/ol_7x64.png
%global     icon_large_build_link_ol8x64 %{buildroot}/%{_datadir}/ovirt-engine/icons/large/ol_8x64.png
%global     icon_large_pkg_link_ol8x64 %{_datadir}/ovirt-engine/icons/large/ol_8x64.png
%global     icon_large_build_link_solaris_11 %{buildroot}/%{_datadir}/ovirt-engine/icons/large/solaris_11.png
%global     icon_large_pkg_link_solaris_11 %{_datadir}/ovirt-engine/icons/large/solaris_11.png
#icon db script
%global     icon_db_upgrade_script_build_dir %{buildroot}/%{_datadir}/ovirt-engine/dbscripts/upgrade/
%global     icon_db_upgrade_script_build_link %{buildroot}/%{_datadir}/ovirt-engine/dbscripts/upgrade/04_03_0960_oracle_vm_icons_update.sql
%global     icon_db_upgrade_script_pkg_link %{_datadir}/ovirt-engine/dbscripts/upgrade/04_03_0960_oracle_vm_icons_update.sql


Summary:	Oracle Linux Virtualization Manager branding
Name:		%{package_name}
Version:	%{package_version}
Release:	9%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.oracle.com/virtualization
Source:		%{tarball}
Group:		Virtualization

BuildRoot:	%{_tmppath}/%{package_name}-%{package_version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Branding package for Oracle Linux Virtualization Manager

%prep
%setup -q -n %{package_name}-%{package_version}

%build
make

%install
rm -rf "%{buildroot}"
make install SHARE_BRANDING_DIR=%{share_branding_build_dir} \
             ADMIN_ETC_DIR=%{admin_etc_branding_build_dir} WEB_UI_ETC_DIR=%{web_ui_etc_branding_build_dir} \
             ADMIN_ETC_LINK=%{admin_etc_branding_build_link} WEB_UI_ETC_LINK=%{web_ui_etc_branding_build_link} \
             OSINFO_ETC_DIR=%{osinfo_etc_build_dir} OSINFO_ETC_LINK=%{osinfo_etc_build_link} \
	     ICONS_LARGE_DIR=%{icons_large_build_dir} ICONS_SMALL_DIR=%{icons_small_build_dir} \
	     ICON_SMALL_LINK_OL5=%{icon_small_build_link_ol5} ICON_SMALL_LINK_OL5X64=%{icon_small_build_link_ol5x64} \
	     ICON_SMALL_LINK_OL6=%{icon_small_build_link_ol6} ICON_SMALL_LINK_OL6X64=%{icon_small_build_link_ol6x64} \
	     ICON_SMALL_LINK_OL7X64=%{icon_small_build_link_ol7x64} ICON_SMALL_LINK_OL8X64=%{icon_small_build_link_ol8x64} \
	     ICON_LARGE_LINK_OL5=%{icon_large_build_link_ol5} ICON_LARGE_LINK_OL5X64=%{icon_large_build_link_ol5x64} \
	     ICON_LARGE_LINK_OL6=%{icon_large_build_link_ol6} ICON_LARGE_LINK_OL6X64=%{icon_large_build_link_ol6x64} \
	     ICON_LARGE_LINK_OL7X64=%{icon_large_build_link_ol7x64} ICON_LARGE_LINK_OL8X64=%{icon_large_build_link_ol8x64} \
	     ICON_SMALL_LINK_SOLARIS_11=%{icon_small_build_link_solaris_11} ICON_LARGE_LINK_SOLARIS_11=%{icon_large_build_link_solaris_11} \
	     ICON_DB_SCRIPT_DIR=%{icon_db_upgrade_script_build_dir} ICON_DB_SCRIPT_LINK=%{icon_db_upgrade_script_build_link}


%files
%{share_branding_pkg_dir}
%{admin_etc_branding_pkg_link}
%{web_ui_etc_branding_pkg_link}
%{osinfo_etc_pkg_link}
%{icon_small_pkg_link_ol5}
%{icon_small_pkg_link_ol5x64}
%{icon_small_pkg_link_ol6}
%{icon_small_pkg_link_ol6x64}
%{icon_small_pkg_link_ol7x64}
%{icon_small_pkg_link_ol8x64}
%{icon_large_pkg_link_ol5}
%{icon_large_pkg_link_ol5x64}
%{icon_large_pkg_link_ol6}
%{icon_large_pkg_link_ol6x64}
%{icon_large_pkg_link_ol7x64}
%{icon_large_pkg_link_ol8x64}
%{icon_small_pkg_link_solaris_11}
%{icon_large_pkg_link_solaris_11}
%{icon_db_upgrade_script_pkg_link}

%changelog
* Fri May 21 2021 Shubha Kulkarni <shubha.kulkarni@oracle.com> - 4.3.0-9
- Added Solaris OS to osinfo. Added small and large icons for Solaris OS

* Fri Jan 29 2021 Pete Ditmars <pete.ditmars@oracle.com> - 4.3.0-8
- Updated About dialog name for web portal 

* Mon Jan 25 2021 Pete Ditmars <pete.ditmars@oracle.com> - 4.3.0-7
- Added Oracle-specific link for console client resources

* Tue Jan 28 2020 Pete Ditmars <pete.ditmars@oracle.com> - 4.3.0-6
- Renamed images/ovirt_lost_map.png

* Mon Dec 02 2019 Pete Ditmars <pete.ditmars@oracle.com> - 4.3.0-5
- Removed bundled directory and content

* Fri Nov 15 2019 Pete Ditmars <pete.ditmars@oracle.com> - 4.3.0-4
- Adjusted osinfo-oracle to handle prior 4.x oVirt versions

* Wed Nov 06 2019 Chad Diamantopoulos <chad.diamantopoulos@oracle.com> - 4.3.0-3
- Fixed the db script for guest icons to be within a 10 number gap for upgrade.

* Fri Nov 01 2019 Chad Diamantopoulos <chad.diamantopoulos@oracle.com> - 4.3.0-2
- Added osinfo changes into this as well as guest icons.

* Wed Oct 30 2019 Pete Ditmars <pete.ditmars@oracle.com> - 4.3.0-1
- Initial release

